Subject: Re: What's cooking in git.git (Jun 2021, #07; Wed, 30)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 06 Jul 2021 21:29:38 +0200

On Tue, Jul 06 2021, Phillip Wood wrote:

> On 03/07/2021 06:04, Elijah Newren wrote:
>> On Wed, Jun 30, 2021 at 3:58 PM Junio C Hamano <[email-masked]> wrote:
>>> * pw/diff-color-moved-fix (2021-06-15) 10 commits
>>>   - diff --color-moved: intern strings
>>>   - diff --color-moved-ws=allow-indentation-change: improve hash lookups
>>>   - diff --color-moved: stop clearing potential moved blocks
>>>   - diff --color-moved: shrink potential moved blocks as we go
>>>   - diff --color-moved: unify moved block growth functions
>>>   - diff --color-moved: call comparison function directly
>>>   - diff --color-moved-ws=allow-indentation-change: simplify and optimize
>>>   - diff: simplify allow-indentation-change delta calculation
>>>   - diff --color-moved: avoid false short line matches and bad zebra coloring
>>>   - diff --color-moved=zebra: fix alternate coloring
>>>
>>>   Long-overdue correctness and performance update to "diff
>>>   --color-moved" feature.
>>>
>>>   Waiting for reviews.
>> I read through the first half the patches or so and didn't spot
>> anything wrong, though I'm very unfamiliar with this code area and
>> don't yet understand much of what's going on; it was more of a spot
>> check.  I'll try to get back to it again, but my review probably won't
>> be that deep.
>
> Thanks for taking a look, do let me know if I can do anything to make
> reviewing this series easier

FWIW I put it on my own mental list of "waiting for re-roll" per [1].

(Not that you need to take my suggestion there, just that you seemed to
agree, so I thought I'd take a look when that happened in a v2).

1. https://lore.kernel.org/git/[email-masked]/